Skip to content
Guides
OrdersOrders
order:read

List order transactions

GET/v1/orders/{orderId}/transactions

List order transactions. A successful request returns HTTP 200 with the documented response body.

Authorization

bearerAuth
AuthorizationBearer <token>

OAuth2 access token issued by Ecomiq Auth.

In: header

Path Parameters

orderId*string

Identifier of the order.

Header Parameters

x-Store-Id?string

Store the request acts on. Not needed when the token is bound to a store.

Authorization*string

OAuth 2.0 bearer token.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/orders/7204558912004325301/transactions" \  -H "x-Store-Id: <store-id>" \  -H "Authorization: Bearer <token>"
[  {    "id": "7204558912004325301",    "type": "in",    "amount": 1,    "paymentMethod": "example",    "referenceId": "7204558912004325301",    "referenceType": "paymentTransaction",    "transactionReference": "example",    "transactionReferenceDocumentLink": "example",    "content": "example",    "createdOn": "2026-08-01T15:30:00Z",    "createdBy": "2f40d7e4-3d9c-4ab2-b04e-7a6a132db821"  }]